package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.*;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
* E-Commerce
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ecmmod extends AbstractCommonVo {

		private Ecm ecm;

		private Wfe wfe;

		private Ack ack;

		private Cnd cnd;

		private Cnn cnn;

		private Ecmcip ecmcip;

		private Ecm ecoecm;

		private Cpd ecocpd;

		private Ecmbop ecmbop;


	@Override
	public void reset() {
		if(ecm == null){
			ecm = new Ecm();
		}
		if(wfe == null){
			wfe = new Wfe();
		}
		if(ack == null){
			ack = new Ack();
		}
		if(cnd == null){
			cnd = new Cnd();
		}
		if(cnn == null){
			cnn = new Cnn();
		}
		if(ecmcip == null){
			ecmcip = new Ecmcip();
		}
		if(ecoecm == null){
			ecoecm = new Ecm();
		}
		if(ecocpd == null){
			ecocpd = new Cpd();
		}
		if(ecmbop == null){
			ecmbop = new Ecmbop();
		}
	}




}